USE haro;

CREATE TABLE lieferer
( liefnr varchar(5) NOT NULL,
  name varchar(25) DEFAULT NULL,
  plz varchar(5) DEFAULT NULL,
  strasse varchar(20) DEFAULT NULL,
  ort varchar(50) DEFAULT NULL,
  
  PRIMARY KEY (liefnr)
) 
ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE liefermoeglichkeiten
( liefnr varchar(5) NOT NULL,
  artikelnr varchar(5) NOT NULL,
  preis double(7,2) DEFAULT NULL,
  
  PRIMARY KEY (liefnr, artikelnr),
  
  KEY `FK_liefermoeglichkeiten_1` (liefnr),
  KEY `FK_liefermoeglichkeiten_2` (artikelnr),
  
  CONSTRAINT `FK_liefermoeglichkeiten_1` 
     FOREIGN KEY (liefnr) REFERENCES lieferer (liefnr),
  CONSTRAINT `FK_liefermoeglichkeiten_2` 
     FOREIGN KEY (artikelnr) REFERENCES artikel (artikelnr)
) 
ENGINE=InnoDB DEFAULT CHARSET=utf8;